SYSTEMD-MACHINE-ID-SETUP(1)

NOM
systemd-machine-id-setup – Initialisation de l’ID de machine dans /etc/machine-id

SYNOPSIS

systemd-machine-id-setup

DESCRIPTION

systemd-machine-id-setup peut être utilisé par les outils de l’installateur du système pour initialiser l’ID de machine stocké dans /etc/machine-id au moment de l’installation avec un ID indiqué ou généré aléatoirement. Consulter machine-id(5) pour plus d’informations à propos de ce fichier.

Si cet outil est invoqué sans la commande --commit, le fichier /etc/machine-id est initialisé avec un nouvel ID valable de machine s’il est absent ou vide. Ce nouvel ID sera acquis de la façon suivante :

    1. Si un ID valable de machine est stocké dans le fichier /run/machine-id, l’ID de machine est copié et utilisé pour initialiser l’identification dans le fichier /etc/machine-id. Cette étape est sautée si la commande --root= est indiquée ou si l’exécution se fait dans un environnement de chroot.

    2. Si un ID valable de machine est déjà configuré pour le système, l’ID D-Bus de machine est copié et utilisé pour initialiser l’ID de machine dans le fichier /etc/machine-id.

    3. Si un ID valable de machine est fourni à l’aide d’une référence system.machine_id, l’ID de machine est copié et utilisé pour initialiser l’ID de machine dans le fichier /etc/machine-id. Cette étape est sautée si la commande --root= est indiquée ou si l’exécution se fait dans un environnement de chroot.

    4. Si l’exécution se fait dans une machine virtuelle KVM et qu’un UUID est configuré (à l’aide de l’option -uuid), cet UUID est utilisé pour initialiser l’ID de machine. L’appelant doit s’assurer que l’UUID passé est bien unique et différent pour chaque instance démarrée dans la machine virtuelle. Cette étape est sautée si la commande --root= est indiquée ou si l’exécution se fait dans un environnement de chroot.

    5. De la même façon, si l’exécution se fait dans un environnement de conteneur Linux et qu’un UUID est configuré pour le conteneur, il est utilisé pour initialiser l’ID de machine. Pour plus de détails, consulter la documentation de Interface de conteneur[1]. Cette étape est sautée si la commande --root= est indiquée ou si l’exécution se fait dans un environnement de chroot.

    6. Sinon, un nouvel ID est généré aléatoirement.

La commande --commit peut être utilisée pour inscrire un ID transitoire de machine sur le disque, le rendant persistant. Pour les détails, voir ci-après.

Utiliser le programme systemd-firstboot(1) pour initialiser l’ID de machine sur des images de système montées (mais non amorcées).

OPTIONS

Les options suivantes sont comprises :

--root=chemin
    Cette option prend comme argument un chemin de répertoire. Tous les chemins utilisés seront préfixés par le chemin de remplacement, y compris le chemin pour /etc/machine-id.

    Ajouté dans la version 212.

--image=chemin
    Cette option prend comme argument un nœud de périphérique ou un fichier normal. Elle est similaire à l’option --root= décrite ci-dessus, mais elle est utilisée sur une image de disque au lieu d’un arbre de répertoires.

    Ajouté dans la version 249.

--image-policy=politique
    Cette option prend pour argument une chaine de politique d’image, comme pour systemd.image-policy(7). La politique est imposée lors d'une opération sur l'image disque indiquée par --image=, voir ci-dessus. La politique par défaut est « * » si rien n'est indiqué, c'est-à-dire que tous les systèmes de fichiers reconnus de l'image sont utilisés.

--commit
    Inscrire un ID transitoire de machine sur le disque. Cette commande peut être utilisée pour convertir un ID transitoire en un ID persistant. Un fichier d’ID transitoire de machine est un fichier qui a été monté « bind » d’un système de fichiers en mémoire (habituellement tmpfs) vers /etc/machine-id durant le début du processus d’amorçage. Cela peut se produire parce que /etc/ est initialement en lecture seule et qu’un ID valable de machine manquait à ce moment.

    Cette commande n’effectuera pas d’opération si /etc/machine-id n’est pas monté à partir d’un système de fichiers en mémoire ou si /etc/ est en lecture seule. La commande écrira l’ID transitoire de machine actuel sur le disque et démontera le point de montage /etc/machine-id d’une manière indépendante pour assurer que ce fichier sera toujours valable et accessible pour d’autres processus.

    Cette commande est principalement utilisée par le service systemd-machine-id-commit.service(8) au tout début de l’amorçage.

    Ajouté dans la version 227.

--print
    Afficher l’ID de machine généré ou inscrit après que l’opération est terminée.

    Ajouté dans la version 231.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

VOIR AUSSI

systemd(1), machine-id(5), systemd-machine-id-commit.service(8), dbus-uuidgen(1), systemd-firstboot(1)

NOTES

1.  Interface conteneur
    https://systemd.io/CONTAINER_INTERFACE

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.